/**
 * LogicalOperatorType.java
 *
 * File generated from the XValidator4::BooleanOperatorType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration LogicalOperatorType.
 *
 */

@XmlType(name = "LogicalOperatorType")
@XmlEnum
@XmlRootElement(name = "LogicalOperatorType")
public enum LogicalOperatorType {
	@XmlEnumValue("AND")
	AND("AND", " and "),
	@XmlEnumValue("OR")
	OR("OR", " or "),
	@XmlEnumValue("XOR")
	XOR("XOR", " xor ");

	private final String value;

	private final String friendlyName;

	LogicalOperatorType(String value, String friendlyName) {
		this.value = value;
		this.friendlyName = friendlyName;
	}

	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static LogicalOperatorType fromValue(String v) {
		for (LogicalOperatorType c : LogicalOperatorType.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

	public String getFriendlyName() {
		return friendlyName;
	}

}